.headVisit {
  background-color: $headOnSite-bg-color;
  display: flex;
  position: relative;
  flex-wrap: wrap-reverse;
  justify-content: space-between;
  min-height: $headOnSite-height;
  [class*="btn"] {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: $main-color-none;
    border: none;
    cursor: pointer;
    height: $headOnSite-height;
    width: $headOnSite-height;
    &:hover {
      background-color: #0378a2;
    }
    &.--active {
      background-color: #0378a2;
    }
    i {
      &::before {
        color: #fff;
        font-size: 1.5em;
      }
    }
    &[disabled] {
      background-color: darken($headOnSite-bg-color, 5%);
    }
  }
  &-contentLeft,
  &-contentCenter,
  &-contentRight,
  &-toggle {
    text-align: center;
    display: flex;
    align-items: stretch;
    flex: 1;
  }
  &-toggle {
    display: none;
  }
  &-contentCenter {
    flex: 2;
    justify-content: center;
    padding: 3px;
  }
  &-contentLeft {
    .btnLogout {
      height: auto;
      min-height: $headOnSite-height;
    }
  }
  &-contentRight {
    justify-content: flex-end;
    .btnLogout {
      height: auto;
      min-height: $headOnSite-height;
      border-left: 1px solid darken($headOnSite-bg-color, 5%);
    }
  }
  &-title {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    .headVisit-logo {
      display: inline-flex;
      justify-content: center;
      align-items: center;
      margin-bottom: 3px;
      img {
        height: 25px;
        margin-right: 5px;
      }
      &__title {
        font-family: "Arial Rounded MT Bold", "Helvetica Rounded", Arial, sans-serif;
        font-weight: bold;
        font-style: normal;
        font-size: cal-rem(18px);
        color: #fff;
      }
    }
    .headVisit-hospital {
      display: inline-flex;
      color: #fff;
      font-size: 13px;
      line-height: 13px;
      word-break: break-word;
    }
  }
  &-user {
    color: #fff;
    margin-right: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    i.icon {
      height: auto;
    }
  }
}

.menuFilter {
  align-items: center;
  background-color: $app-onsiteMenuFilter-bg-color;
  border-bottom: 2px solid darken($app-onsiteMenuFilter-bg-color, 10%);
  border-top: 1px solid darken($app-onsiteMenuFilter-bg-color, 5%);
  color: #ffffff;
  display: flex;
  flex-wrap: nowrap;
  height: $app-onsiteMenuFilter-height;
  &-content {
    width: 100%;
    margin-left: 10px;

    .prompt {
      height: 35px !important;
    }
  }
  &-contentLeft,
  &-contentCenter,
  &-contentRight {
    align-items: center;
    text-align: center;
    display: flex;
    height: 100%;
    padding: 0 5px;
  }
  &-contentCenter {
    flex: 1 0 220px;
    padding: 0;
    justify-content: space-between;
    &__title {
      color: $menu-in-patient-active-bg-color;
      font-size: cal-rem(18px);
    }
    &__label {
      margin-right: 5px;
    }
    &__button {
      margin-left: 5px;
    }
    &.--center {
      justify-content: center;
    }
  }
  &-contentRight {
    flex: 1 0 auto;
    justify-content: flex-end;
    &.--right {
      flex: 0 1 auto;
    }
    &.--block {
      flex: 1 0 120px;
      max-width: 220px;
    }
    &__detail {
      margin-right: 5px;
    }
  }
  &-contentLeft {
    background-color: darken($app-onsiteMenuFilter-bg-color, 10%);
    color: $menu-filter-active-color;
    >div {
      white-space: nowrap;
    }
    &__button {
      margin: 0 5px;
      i {
        margin: 0 !important;
        color: #fff !important;
      }
      &:hover {
        i {
          color: #fff !important;
        } 
      }
    }
    .--toggle {
      display: none !important;
    }
  }
  .search-form {
    margin-right: 5px;
    .ui.icon.input {
      input {
        height: 30px;
        border-radius: 50px;
      }
    }
  }
  .search-dropdown {
    flex: 0 1 220px;
    .ui.selection.dropdown {
      width: 100%;
      height: 30px;
      display: flex;
      align-items: center;
      @include btn-style($btn-bg-color: lighten($app-onsiteMenuFilter-bg-color, 3%), $btn-border-color: darken($app-onsiteMenuFilter-bg-color, 15%), $btn-font-color: #ffffff);
      &.active {
        .menu {
          @include btn-style($btn-bg-color: lighten($app-onsiteMenuFilter-bg-color, 3%), $btn-border-color: darken($app-onsiteMenuFilter-bg-color, 15%), $btn-font-color: #ffffff);
        }
      }
      .menu {
        >.item {
          color: #fff;
          border: none;
          height: 30px;
          display: flex;
          align-items: center;
        }
      }
      &.visible {
        >.text {
          &:not(.default) {
            color: #fff;
          }
        }
      }
      >.dropdown.icon {
        padding: 7px;
      }
    }
  }
  .ui.button {
    height: auto;
    @include btn-style($btn-bg-color: lighten($app-onsiteMenuFilter-bg-color, 3%), $btn-border-color: darken($app-onsiteMenuFilter-bg-color, 15%), $btn-font-color: #ffffff);
    &.active {
      background-color: darken($app-onsiteMenuFilter-bg-color, 8%);
      box-shadow: inset 0px 0px 5px rgba(0, 0, 0, 0.2);
    }
    i[class*="ico-"] {
      &::before {
        color: #ffffff;
        font-size: cal-rem(19px);
      }
    }
  }
  &-menuNav {
    &.ui.menu {
      background: none;
      border: none;
      margin: 0;
      padding-left: 0;
      box-shadow: none;
      .item {
        background-color: $main-color-none;
        border: none;
        padding: 0px;
        padding: 10px;
        border-radius: 0px;
        &::before {
          display: none;
        }
        i[class*="ico-"] {
          &::before {
            color: #ffffff;
            font-size: 1.8em;
          }
        }
        &.active {
          background-color: $menu-in-patient-active-bg-color;
          i[class*="ico-"] {
            &::before {
              color: $menu-in-patient-active-color;
            }
          }
        }
      }
    }
  }
}

.topBar {
  align-items: center;
  background-color: $top-bar-control-bg-color;
  display: flex;
  min-height: 45px;
  padding: 5px 11px;
  align-items: center;
  &-left,
  &-right,
  &-center {
    flex: 1;
  }
  &-left {
    text-align: left;
  }
  &-center {
    text-align: center;
  }
  &-right {
    text-align: right;
  }
}

.icon-label {
  display: none;
}

@media only screen and (max-width: 992px) {
  .icon-label {
    display: flex;
    color: #fff;
  }
  .headVisit {
    &-toggle {
      display: flex;
      align-items: stretch;
      .btnLogout {
        height: auto;
        min-height: $headOnSite-height;
      }
      i {
        display: flex;
        height: auto;
      }
    }
    &-contentLeft {
      &.--active {
        display: flex;
        flex: 0 1 auto;
      }
      flex-direction: column;
      width: 100%;
      align-items: flex-start;
      border-top: 1px solid #0378a2;
      display: none;
      .btnLogout {
        width: 100%;
        justify-content: flex-start;
        padding-left: 10px;
        min-height: $headOnSite-height;
        i {
          margin-right: 10px;
        }
        &:hover {
          background-color: #0378a2;
        }
      }
    }
  }
  .menuFilter {
    &-contentLeft {
      flex: 0 1 100px;
      @include transition(all .5s ease-in-out);
      .--toggle {
        display: block !important;
      }
      .ui.breadcrumb {
        white-space: nowrap;
        >:not(.active) {
          width: 0;
          opacity: 0;
          z-index: -1;
        }
        i {
          display: none;
        }
      }
    }
    &-contentRight {
      opacity: 1;
      @include transition(all 1s ease-in-out);
    }
    &.--active {
      .menuFilter-contentLeft {
        flex: 1 0 100%;
        @include transition(all .5s ease-in-out);
        .--toggle {
          display: block !important;
        }
        .ui.breadcrumb {
          white-space: initial;
          >:not(.active) {
            width: auto;
            opacity: 1;
            z-index: 0;
            @include transition(all .5s ease-in-out);
          }
          i {
            margin: 0 5px;
            display: block;
          }
        }
      }
      .menuFilter-contentRight {
        opacity: 0;
        @include transition(all .2s ease-in-out);
      }
    }
  }
}
